prism.registerWidget("giphywidget", {
    name: "giphywidget",
    family: "images",
    title: "giphy widget",
    iconSmall: "/plugins/giphywidget/giphyWidget-24.png",
    styleEditorTemplate: "/plugins/giphywidget/styler.html",
    hideNoResults: true,
    style: {
        src: '',
        align: 'left',
        transform: 'original',
        width: 0.12,
        showMinMax: false,
		link: '',
		tag:''
    },
	initialized: function (widget) {
		widget.style.src = "";
	},
    directive: {

        desktop: "giphywidget"
    },
    data: {
        selection: [],
        defaultQueryResult: {},
        panels: [],
		buildQuery: function (widget) {
			//javascript, jQuery
			var tag = encodeURIComponent(widget.style.tag);
			debugger
			$.get("http://api.giphy.com/v1/gifs/random?api_key=Loxat0Hj3DcJuu1aE549bzu0F1pEpgnQ&tag="+tag).done(function (response) { widget.style.src = response.data.image_url; });
			
			}
	},
    options: {
        dashboardFiltersMode: "slice",
        selector: false,
        title: false
    },
    sizing: {

        minHeight: 128, //header
        maxHeight: 2048,
        minWidth: 128,
        maxWidth: 2048,
        height: 640,
        defaultWidth: 512
    }
});
